org.apache.xml.serialize

## Interface Serializer

- All Known Implementing Classes:
    BaseMarkupSerializer, HTMLSerializer, TextSerializer, XHTMLSerializer, XML11Serializer, XMLSerializer

  Deprecated.
  This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML and HTML. See the Xerces documentation for more information.

      public interface Serializer

  Interface for a DOM serializer implementation, factory for DOM and SAX serializers, and static methods for serializing DOM documents.

  To serialize a document using SAX events, create a compatible serializer and pass it around as a `DocumentHandler`. If an I/O error occurs while serializing, it will be thrown by `DocumentHandler.endDocument()`. The SAX serializer may also be used as `DTDHandler`, `DeclHandler` and `LexicalHandler`.

  To serialize a DOM document or DOM element, create a compatible serializer and call it's `DOMSerializer.serialize(Document)` or `DOMSerializer.serialize(Element)` methods. Both methods would produce a full XML document, to serizlie only the portion of the document use `OutputFormat.setOmitXMLDeclaration(boolean)` and specify no document type.

  The `OutputFormat` dictates what underlying serialized is used to serialize the document based on the specified method. If the output format or method are missing, the default is an XML serializer with UTF-8 encoding and now indentation.

  Version:
    $Revision: 699902 $ $Date: 2008-09-29 03:10:49 +0530 (Mon, 29 Sep 2008) $
  Author:
    Assaf Arkin, Scott Boag
  See Also:
    `DocumentHandler`, `ContentHandler`, `OutputFormat`, `DOMSerializer`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.xml.sax.ContentHandler` | `asContentHandler()` Deprecated. Return a `ContentHandler` interface into this serializer.
    `org.xml.sax.DocumentHandler` | `asDocumentHandler()` Deprecated. Return a `DocumentHandler` interface into this serializer.
    `DOMSerializer` | `asDOMSerializer()` Deprecated. Return a `DOMSerializer` interface into this serializer.
    `void` | `setOutputByteStream(java.io.OutputStream output)` Deprecated. Specifies an output stream to which the document should be serialized.
    `void` | `setOutputCharStream(java.io.Writer output)` Deprecated. Specifies a writer to which the document should be serialized.
    `void` | `setOutputFormat(OutputFormat format)` Deprecated. Specifies an output format for this serializer.

- - ### Method Detail

    - #### setOutputByteStream

          void setOutputByteStream(java.io.OutputStream output)

      Deprecated.
      Specifies an output stream to which the document should be serialized. This method should not be called while the serializer is in the process of serializing a document.

    - #### setOutputCharStream

          void setOutputCharStream(java.io.Writer output)

      Deprecated.
      Specifies a writer to which the document should be serialized. This method should not be called while the serializer is in the process of serializing a document.

    - #### setOutputFormat

          void setOutputFormat(OutputFormat format)

      Deprecated.
      Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.
      Parameters:
        `format` - The output format to use

    - #### asDocumentHandler

          org.xml.sax.DocumentHandler asDocumentHandler()
                                                        throws java.io.IOException

      Deprecated.
      Return a `DocumentHandler` interface into this serializer. If the serializer does not support the `DocumentHandler` interface, it should return null.
      Throws:
        `java.io.IOException`

    - #### asContentHandler

          org.xml.sax.ContentHandler asContentHandler()
                                                      throws java.io.IOException

      Deprecated.
      Return a `ContentHandler` interface into this serializer. If the serializer does not support the `ContentHandler` interface, it should return null.
      Throws:
        `java.io.IOException`

    - #### asDOMSerializer

          DOMSerializer asDOMSerializer()
                                        throws java.io.IOException

      Deprecated.
      Return a `DOMSerializer` interface into this serializer. If the serializer does not support the `DOMSerializer` interface, it should return null.
      Throws:
        `java.io.IOException`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.